Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 504392 - mail-mta/netqmail-1.06-r4 stable request
Summary: mail-mta/netqmail-1.06-r4 stable request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Net-Mail Packages
URL:
Whiteboard: Was: mail-mta/netqmail - /var/qmail/b...
Keywords: InVCS, QAcanfix, STABLEREQ
Depends on: 533182
Blocks: init.d_functions.sh
  Show dependency tree
 
Reported: 2014-03-13 02:38 UTC by hal
Modified: 2018-04-24 19:38 UTC (History)
8 users (show)

See Also:
Package list:
mail-mta/netqmail-1.06-r4
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hal 2014-03-13 02:38:38 UTC
See bug 504116.
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-12-21 19:13:02 UTC
<QA hat>

This is a trivial fix that doesn't come with any real backwards compatibility dangers. In fact, it improves safety of packages through replacing implicit dependency on private API of a medium-sized package by explicit dependency on small, dedicated package.

That said, 9 months (1.5yr in case of glibc) to apply the fix is definitely too long. Therefore, I'm setting a deadline on fixing the remaining bugs to 2014-12-27. If the bugs aren't fixed till that point, I will be committing simple 'sed' statements to replace the inherits.

</QA hat>
Comment 2 Georgi Georgiev 2015-04-16 13:56:47 UTC
(In reply to Michał Górny from comment #1)
> <QA hat>
> 
> This is a trivial fix that doesn't come with any real backwards
> compatibility dangers. In fact, it improves safety of packages through
> replacing implicit dependency on private API of a medium-sized package by
> explicit dependency on small, dedicated package.
> 
> That said, 9 months (1.5yr in case of glibc) to apply the fix is definitely
> too long. Therefore, I'm setting a deadline on fixing the remaining bugs to
> 2014-12-27. If the bugs aren't fixed till that point, I will be committing
> simple 'sed' statements to replace the inherits.
> 
> </QA hat>

We are four months past the deadline now... :-/
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-10-18 13:28:36 UTC
Does someone have any clue where the file comes from, so we could fix it?
Comment 4 Lara Maia 2015-10-18 22:38:00 UTC
(In reply to Michał Górny from comment #3)
> Does someone have any clue where the file comes from, so we could fix it?

I sent a pull to fix this.

https://github.com/gentoo/gentoo/pull/259
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2015-10-23 21:09:23 UTC
Merged the pull request with my QA hat.
Comment 6 Kristian Fiskerstrand (RETIRED) gentoo-dev 2016-06-15 21:11:38 UTC
Not in stable yet
Comment 7 Matt Turner gentoo-dev 2016-12-01 05:41:20 UTC
Time to stabilize 1.06-r4?
Comment 8 Ben Kohler gentoo-dev 2017-10-04 15:51:19 UTC
Ping on this, would hate for this to be the last thing holding up bug 511500
Comment 9 Sergei Trofimovich (RETIRED) gentoo-dev 2017-12-14 20:11:45 UTC
ia64 stable
Comment 10 Tobias Klausmann (RETIRED) gentoo-dev 2018-01-15 19:07:48 UTC
Stable on amd64.
Comment 11 Tobias Klausmann (RETIRED) gentoo-dev 2018-01-28 16:59:44 UTC
Stable on alpha.
Comment 12 Thomas Deutschmann gentoo-dev 2018-02-06 18:38:14 UTC
x86 stable
Comment 13 Sergei Trofimovich (RETIRED) gentoo-dev 2018-02-27 20:10:13 UTC
ppc/ppc64 stable
Comment 14 Sergei Trofimovich (RETIRED) gentoo-dev 2018-02-27 22:28:23 UTC
hppa stable
Comment 15 Frank Limpert 2018-02-28 16:31:08 UTC
mail-mta/netqmail-1.06-r4 prepare breaks with USE="-ssl"

ERROR: prepare
ERROR: mail-mta/netqmail-1.06-r4::gentoo failed (prepare phase):
  (no error message)

Call stack:
    ebuild.sh, line 124:  Called src_prepare
  environment, line 3034:  Called die
The specific snippet of code:
          sed 's~^--- ../../~--- ~g' < "${DISTDIR}"/${QMAIL_TLS_F} > "${T}"/${QMAIL_TLS_F} || die;


I would suggest adding a condition around this line of code.
Comment 16 Frank Limpert 2018-03-07 16:41:03 UTC
please add: Depends on: bug #649854
Comment 17 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2018-04-24 19:38:58 UTC
arm stable